# GitHub Searcher

GitHub Searcher is a command-line tool to search for PoC exploits for CVEs and security vulnerabilities in open-source software on GitHub. It allows you to search repositories, users, and repository names, and optionally fetch open issues and repository contents.

## Features

- Search GitHub repositories, users, and repository names.
- Fetch open issues of a repository.
- Fetch contents of a repository.

## Requirements

- Python 3.x
- `PyGithub` library

## Installation

1. Clone the repository:
    ```bash
    git clone https://git.mcdevitt.tech/bpmcdevitt/github_searcher.git
    cd github_searcher
    ```

2. Install the required dependencies:
    ```bash
    pip install PyGithub
    ```

3. Set your GitHub access token as an environment variable:
    ```bash
    export GITHUB_ACCESS_TOKEN=your_access_token
    ```

## Usage

Run the script with the required arguments:

```bash
python3 github_searcher.py --query=<query> --search_type=<search_type> [--get_open_issues] [--get_file_contents]